Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.ipc.metrics
Class RpcInstrumentation.Detailed

    java.lang.Object
      org.apache.hadoop.metrics2.lib.AbstractMetricsSource
          org.apache.hadoop.ipc.metrics.RpcInstrumentation.Detailed

All Implemented Interfaces:
  MetricsSource

Enclosing class:
  RpcInstrumentation

    public static class RpcInstrumentation.Detailed

extends AbstractMetricsSource

Use a separate source for detailed (per call) RPC metrics for easy and efficient filtering

Field Summary

Fields inherited from class org.apache.hadoop.metrics2.lib.AbstractMetricsSource
`registry`

Method Summary
`void` | `addRpcProcessingTime(String methodName, int processingTime)`

Methods inherited from class org.apache.hadoop.metrics2.lib.AbstractMetricsSource
`getMetrics, registry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addRpcProcessingTime

    public void addRpcProcessingTime(String methodName,
                                     int processingTime)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation